# LIFTOFF
execute if score #t timer matches 0 if score #s timer matches 0 if score #m timer matches 0 if score #h timer matches 0 run data modify storage msg timer set value '"Liftoff! Extending AFT & FOR fins."'
execute if score #t timer matches 0 if score #s timer matches 0 if score #m timer matches 0 if score #h timer matches 0 run function starship:log
execute if score #t timer matches 0 if score #s timer matches ..7 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #rate vector 1
execute if score #s timer matches 0 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #aftAngle math 4
execute if score #s timer matches 0 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #forAngle math 3

# BELLY FLOP
execute if score #t timer matches 0 if score #s timer matches 18 if score #m timer matches 0 if score #h timer matches 0 run data modify storage msg timer set value '"Belly flop!"'
execute if score #t timer matches 0 if score #s timer matches 18 if score #m timer matches 0 if score #h timer matches 0 run function starship:log
execute if score #s timer matches 18..20 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #aftAngle math 1
execute if score #t timer matches 0 if score #s timer matches 19 if score #m timer matches 0 if score #h timer matches 0 run schedule function starship:sound/cutoff 1s
execute if score #t timer matches 0 if score #s timer matches 20 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players set #particles vector 0
execute if score #s timer matches 20..23 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #pitch math 1
execute if score #s timer matches 20..23 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #dive math 1
execute if score #t timer matches ..9 if score #s timer matches 24 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #pitch math 1
execute if score #t timer matches ..9 if score #s timer matches 24 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #dive math 1
execute if score #s timer matches 23..24 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #forAngle math 1
execute if score #t timer matches ..4 if score #s timer matches 25 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #forAngle math 1

# GRAVITY
execute if score #t timer matches ..12 if score #s timer matches 21 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #rate vector 1
execute if score #t timer matches 10 if score #s timer matches 22 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players operation #rate vector *= #-1 math
execute if score #t timer matches 8.. if score #s timer matches 23 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #rate vector 1

# VERTICAL FLIP
execute if score #t timer matches 0 if score #s timer matches 38 if score #m timer matches 0 if score #h timer matches 0 run data modify storage msg timer set value '"Vertical flip!"'
execute if score #t timer matches 0 if score #s timer matches 38 if score #m timer matches 0 if score #h timer matches 0 run function starship:log
execute if score #t timer matches 15.. if score #s timer matches 38 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #forAngle math 1
execute if score #s timer matches 39..40 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #forAngle math 1
execute if score #s timer matches 39 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #aftAngle math 1
execute if score #t timer matches 0 if score #s timer matches 40 if score #m timer matches 0 if score #h timer matches 0 run function starship:sound/start
execute if score #t timer matches 0 if score #s timer matches 41 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players set #particles vector 1
execute if score #t timer matches 0 if score #s timer matches 41 if score #m timer matches 0 if score #h timer matches 0 run data modify storage msg timer set value '"Starting up engines."'
execute if score #t timer matches 0 if score #s timer matches 41 if score #m timer matches 0 if score #h timer matches 0 run function starship:log
execute if score #s timer matches 38..41 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #pitch math 1
execute if score #t timer matches ..14 if score #s timer matches 42 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #pitch math 1
execute if score #t timer matches 15.. if score #s timer matches 37 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #dive math 1
execute if score #s timer matches 38..41 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #dive math 1
execute if score #t timer matches ..9 if score #s timer matches 42 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #dive math 1
execute if score #s timer matches 46..48 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #forAngle math 1
execute if score #t timer matches 0 if score #s timer matches 46 if score #m timer matches 0 if score #h timer matches 0 run data modify storage msg timer set value '"Initiating landing maneuver."'
execute if score #t timer matches 0 if score #s timer matches 46 if score #m timer matches 0 if score #h timer matches 0 run function starship:log
execute if score #t timer matches 0 if score #s timer matches 46..50 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #pitch math 1
execute if score #t timer matches 0 if score #s timer matches 46..50 if score #m timer matches 0 if score #h timer matches 0 run scoreboard players add #dive math 1

# LANDING (NO RUD)
execute if score #t timer matches 0 if score #s timer matches 46.. if score #m timer matches 0 if score #h timer matches 0 run scoreboard players remove #rate vector 1
execute if score #t timer matches 0 if score #s timer matches 52 if score #m timer matches 0 if score #h timer matches 0 run data modify storage msg timer set value '"Touchdown!"'
execute if score #t timer matches 0 if score #s timer matches 52 if score #m timer matches 0 if score #h timer matches 0 run function starship:log

# ETA T+00:00:52.03 (0h 0m 52s 3t)